import React from 'react';

export const Dropdown = ({
  options,
  id,
  onSelectedValueChange,
  selectedVal,
}) => (
  <select
    id={id}
    onChange={(event) => onSelectedValueChange(event.target.value)}
  >
    {options.map(({ value, label }) => (
      <option value={value} selected={value === selectedVal}>
        {label}
      </option>
    ))}
  </select>
);
